<?php
class Normal_CACode extends netsControl {
	public function Normal_CACode(){
		$this->netsControl();
	}
	public function Control($pColumn){
		$tmpControl=$pColumn['stcotName'].'Txt'.$pColumn['NameExtend'];
?>
<!-- #<?php echo ($tmpControl); ?> -->
<?php if ($pColumn['stcoctSingleLine']==0) { ?><tr id="<?php echo($tmpControl); ?>_RowBox" class="DHidden"><?php } ?>
<td id="<?php echo ($tmpControl); ?>_Label" class="PanelTitle"><?php echo ($pColumn['stcoctUiName']); ?>：</td>
<td id="<?php echo($tmpControl); ?>PanelBox" class="PanelBox <?php if ($pColumn['stcoctSingleLine']==1) { ?>PanelMultiColumn<?php } ?>" <?php if ($pColumn['stcoctSingleLine']==0 && $pColumn['stcoctColspan']>1) { ?>colspan="<?php echo($pColumn['stcoctColspan']); ?>"<?php } ?>>
<!--S.<?php echo ($tmpControl); ?>-->
<table class="CCodeP" cellpadding="0" cellspacing="0"><tr>
<td class="CCodeA"><input id="<?php echo($tmpControl); ?>" name="<?php echo($tmpControl); ?>" type="text" maxlength="5" class="SControl1"
onclick="tmpControl.onControlLight(this,'');<?php echo($pColumn['Parameter_JS_Onclick']); ?>"
onblur="tmpControl.onControlBlur(this,'');<?php echo($pColumn['Parameter_JS_Onblur']); ?>"
onnfocus="<?php echo($pColumn['Parameter_JS_Onfocus']); ?>"
onchange="<?php echo($pColumn['Parameter_JS_Onchange']); ?>"
onmouseover="<?php echo($pColumn['Parameter_JS_Onmouseover']); ?>"
onmouseout="<?php echo($pColumn['Parameter_JS_Onmouseout']); ?>"
style="width:50px;" /></td>
<td class="CCodeB"><iframe id="<?php echo($tmpControl); ?>_IFrame" src="" class="CCodeD" frameborder="0" scrolling="no"></iframe></td>
<td class="CCodeC"><a href="#Here" title="点击刷新验证码" class="FBlue1 Link1"
onclick="tmpCommon.refreshCCode('<?php echo($tmpControl); ?>_IFrame');">刷新验证码</a></td>
</tr></table>
<script type="text/javascript">
var <?php echo($tmpControl); ?>_Flag=0;
function <?php echo($tmpControl); ?>_ShowCACode(pType){
	if(<?php echo($tmpControl); ?>_Flag==1){
		return 1;
	}
	if(pType==0){
		document.getElementById("<?php echo($tmpControl); ?>_RowBox").className="<?php echo ($pColumn['LineStyle']); ?>";
		document.getElementById("<?php echo($tmpControl); ?>_IFrame").src="../../../Component/Nets/netsJscript/netsCheckCode0.php?Name=<?php echo($tmpControl); ?>_IFrame";
		<?php echo($tmpControl); ?>_Flag=1;
	}else{
		document.getElementById("<?php echo($tmpControl); ?>_RowBox").className=tmpCommon.sysHidden;
		document.getElementById("<?php echo($tmpControl); ?>_IFrame").src="";
		<?php echo($tmpControl); ?>_Flag=0;
	}
	return 0;
}
</script>
<!--sendRequest--><!--E.<?php echo ($tmpControl); ?>--></td>
<td id="<?php echo ($tmpControl); ?>_ImgIntroduct" class="PanelImgIntroduct">
<?php if(strlen($pColumn['stcoctUiImgIntroduct'])>0 && $pColumn['stcoctUiImgIntroduct']!='&nbsp;'){ ?>
<a href="#Here"><img src="<?php echo($this->sysFileConfig['sysUiCoreRoot']); ?>Ui/Common/Img/Common/icon_4.jpg" title="<?php echo($pColumn['stcoctUiImgIntroduct']); ?>" /></a>
<?php }else{ ?>&nbsp;<?php } ?></td><?php if ($pColumn['stcoctSingleLine']==0) { ?></tr><?php } ?>
<?php
	}
}
?>